package src;

import javafx.scene.control.*;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;
import java.util.prefs.Preferences;

public class SettingsDialog extends Dialog<Void> {
    public SettingsDialog(Stage owner) {
        initOwner(owner);
        setTitle("设置");

        Preferences prefs = Preferences.userNodeForPackage(SettingsDialog.class);
        TextField apiKeyField = new TextField(prefs.get("baidu_api_key", ""));
        CheckBox autoStartCheck = new CheckBox("开机自启动");
        autoStartCheck.setSelected(prefs.getBoolean("auto_start", false));

        VBox content = new VBox(15);
        content.getChildren().addAll(
            new Label("百度地图API密钥："), apiKeyField,
            autoStartCheck
        );

        getDialogPane().setContent(content);

        ButtonType saveButton = new ButtonType("保存", ButtonBar.ButtonData.OK_DONE);
        getDialogPane().getButtonTypes().addAll(saveButton, ButtonType.CANCEL);

        // 修正：仅保留一次事件绑定
        getDialogPane().lookupButton(saveButton).setOnAction(e -> {
            prefs.put("baidu_api_key", apiKeyField.getText());
            prefs.putBoolean("auto_start", autoStartCheck.isSelected());
            AutoStartManager.setAutoStart(autoStartCheck.isSelected());
        });
    }
}